
Redmine - Defect #15878

Automatic line break on a numbered list should start the same position as the text before the line

break.

2014-01-15 16:30 - Thomas Steinert

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.3.3

Description

When I create a PDF for a page using numbered lists and one line is long enough to produce a line break the new line starts left of

the numbers instead right of the numbers. This graphic should make this problem more clear:

    1. texttexttext

    2. texttexttext\n

texttexttext

    3. texttexttext

 It should be more like:

    1. texttexttext

    2. texttexttext\n

       texttexttext

    3. texttexttext

History

#1 - 2015-01-25 01:00 - Jun NAITOH

- File redmine-246.png added

- File redmine-260.png added

This problem already fixed by Redmine 2.6.0.

Thanks.

Redmine 2.4.6 result

 redmine-246.png 

Redmine 2.6.0 result (use rbpdf 1.18.1, 1.18.5)

 redmine-260.png 

#2 - 2015-02-18 10:56 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Thank you.

Files

redmine-246.png 17 KB 2015-01-24 Jun NAITOH

redmine-260.png 12.7 KB 2015-01-24 Jun NAITOH
